## tcpser 1.0rc10

=== Makefile ===
SRC=src
SRCS = $(SRC)/bridge.c $(SRC)/debug.c $(SRC)/getcmd.c $(SRC)/ip.c $(SRC)/init.c $(SRC)/modem_core.c $(SRC)/nvt.c $(SRC)/serial.c $(SRC)/util.c $(SRC)/phone_book.c $(SRC)/shared.c $(SRC)/tcpser.c $(SRC)/line.c $(SRC)/dce.c
OBJS = $(SRC)/bridge.o $(SRC)/debug.o $(SRC)/getcmd.o $(SRC)/ip.o $(SRC)/init.o $(SRC)/modem_core.o $(SRC)/nvt.o $(SRC)/serial.o $(SRC)/util.o $(SRC)/phone_book.o $(SRC)/shared.o $(SRC)/tcpser.o $(SRC)/dce.o $(SRC)/line.o
CC = gcc
DEF = 
CFLAGS = -O $(DEF) -Wall
LDFLAGS = -lpthread
DEPEND = makedepend $(DEF) $(CFLAGS)

all:	tcpser

#.o.c:
#	$(CC) $(CFLAGS) -c $*.c

$(SRCS):
	$(CC) $(CFLAGS) -c $*.c

tcpser: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

depend: $(SRCS)
	$(DEPEND) $(SRCS)

clean:
	-rm tcpser *.bak $(SRC)/*~ $(SRC)/*.o $(SRC)/*.bak core


# DO NOT DELETE THIS LINE -- make depend depends on it.

## tcpser 1.0rc12

=== Makefile ===
SRC=src
SRCS = $(SRC)/bridge.c $(SRC)/debug.c $(SRC)/getcmd.c $(SRC)/ip.c $(SRC)/init.c $(SRC)/modem_core.c $(SRC)/nvt.c $(SRC)/serial.c $(SRC)/ip232.c $(SRC)/util.c $(SRC)/phone_book.c $(SRC)/shared.c $(SRC)/tcpser.c $(SRC)/line.c $(SRC)/dce.c
OBJS = $(SRC)/bridge.o $(SRC)/debug.o $(SRC)/getcmd.o $(SRC)/ip.o $(SRC)/init.o $(SRC)/modem_core.o $(SRC)/nvt.o $(SRC)/serial.o $(SRC)/ip232.o $(SRC)/util.o $(SRC)/phone_book.o $(SRC)/shared.o $(SRC)/tcpser.o $(SRC)/dce.o $(SRC)/line.o
CC = gcc
DEF = 
CFLAGS = -O $(DEF) -Wall
LDFLAGS = -lpthread
DEPEND = makedepend $(DEF) $(CFLAGS)

all:	tcpser

#.o.c:
#	$(CC) $(CFLAGS) -c $*.c

$(SRCS):
	$(CC) $(CFLAGS) -c $*.c

tcpser: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

depend: $(SRCS)
	$(DEPEND) $(SRCS)

clean:
	-rm tcpser *.bak $(SRC)/*~ $(SRC)/*.o $(SRC)/*.bak core


# DO NOT DELETE THIS LINE -- make depend depends on it.

=== debian/changelog ===
tcpser (1.0rc12-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:46:40 +0000

tcpser (1.0rc12-2) unstable; urgency=low

  [ Jari Aalto ]
  * QA upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664359).
  * Update to Standards-Version to 3.9.4, debhelper to 9, ${misc:Depends}.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
  * Move Alioth repository from Bzr to Git (git-buildpackage).
  * Use hardened build flags
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

  [ tony mancill ]
  * Update d/watch file.  Thank you to Bart Martens.
  * Add patch to address FTBFS with "ld --as-needed". (Closes: #641411)
    - Thank you to Matthias Klose.

 -- tony mancill <tmancill@debian.org>  Fri, 03 May 2013 21:27:26 -0700

tcpser (1.0rc12-1) unstable; urgency=low

  * New upstream release
  * debian/tcpser.1: fixed typos, added -v option, added square
    brackets where necessary
  * src/init.c: reverted "Fixed typo in usage summary"
  * debian/patches/01-usage-typo.dpatch: moved patch to dpatch
  * Makefile: reverted "Added install rule to makefile"
  * debian/rules, debian/install: moved install rule here
  * debian/control: updated Standards-Version, added dpatch to
    Build-Depends, added Vcs-Bzr field, added Homepage field
  * debian/watch: added
  * debian/copyright: updated year to 2008

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Mon,  4 Feb 2008 12:51:33 +0000

tcpser (1.0rc10-1) unstable; urgency=low

  * Initial release (Closes: #376993)
  * Added install rule to makefile
  * Wrote man page
  * Fixed typo in usage summary

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Tue,  4 Jul 2006 18:17:01 -0700

=== debian/control ===
Source: tcpser
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Homepage: http://www.jbrain.com/pub/linux/serial/
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/tcpser.git
Vcs-Git: git://git.debian.org/git/collab-maint/tcpser.git

Package: tcpser
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: emulate a Hayes compatible modem
 TCPSER turns a PC serial port into an emulated Hayes compatible modem that
 uses TCP/IP for incoming and outgoing connections. It can be used to allow
 older applications and systems designed for modem use to operate on the
 Internet. TCPSER supports all standard Hayes commands, and understands
 extended and vendor proprietary commands (though it does not implement
 many of them). TCPSER can be used for both inbound and outbound connections.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS  = -lpthread  # From original Makefile
LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS += -Wl,--as-needed

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS  += -Wall -pedantic -g $(CPPFLAGS)

build-arch: build
build-indep: build

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installman
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
